@ECHO OFF
ECHO machinagod's HTC Wizard/Prophet/Charmer MSL Revealer v0.3
ECHO NOW WITHOUT CID Unlocking POWER!
ECHO
ECHO Supports SPL 2.x!!
ECHO --------------------
ECHO WARNING: This tool is highly experimental! 
ECHO I will NOT be held responsible for any problems caused by this tool.
ECHO --------------------
ECHO Thanks to xda-developers, spv-developers, and especially itsme by the work they 
ECHO released. This solution would not be possible without them.
ECHO --------------------
ECHO Unlocking RAPI Please wait...
@ECHO OFF
ECHO MachinaGod RapiUnlocker v1.0
@set /P dummy="Initializing"<NUL 
Utils\cecopy EnableRapi.cab dev:\ >NUL
@set /P dummy="."<NUL 
Utils\cecopy Cert_SPCS.cab dev:\ >NUL
@set /P dummy="."<NUL 
Utils\cerun.exe -b CE:\Windows\wceload.exe \Cert_SPCS.cab /noui >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
Utils\cerun.exe -b CE:\Windows\wceload.exe \EnableRapi.cab /noui >NUL
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 1000 >NUL
@set /P dummy="."<NUL 
ECHO Done!

ECHO RAPI Unlocked.
ECHO Starting MSL work... DO NOT DISCONNECT UNTIL THIS SCRIPT ENDS
ECHO
Utils\pdocread.exe -n 1 0x000000 0x10000 -b 0x4000 lock_backup.bin
ECHO
ECHO
ECHO SIMLock Code is your code... Type it with another SIM in...
ECHO --------------------
Utils\lokiwizMsl.exe lock_backup.bin
ECHO --------------------
ECHO "Standing on the shoulder of giants" 
ECHO Ricardo Afonso, 2005

SET Choice=
SET /P Choice=Press Any key to Exit.
